- entityDefinitions:
  - IDI_Task_ShowInstanceUsage: '{22bc8291-51b8-4bf5-a4dc-02f6261468c8}'

  - IDE_ShowInstanceUsage_Select: '{368492ee-a41f-49e4-8749-54ba53aa0fe4}'
  - IDE_ShowInstanceUsage_Main: '{80d0b4de-eb5a-42bb-b973-90bc7066d14c}'
  - IDE_ShowInstanceUsage_References: '{af737402-7784-4ab7-8b1c-1ad6e67c16df}'
  - IDE_ShowInstanceUsage_ReferencedBy: '{8a8d6fb6-e1a1-428a-9bc6-8252aee7a541}'

  - IDBEM_ShowInstanceUsage_References: '{9899eaf0-4567-42db-8f3d-f4b015f32f98}'
  - IDBEMP_ShowInstanceUsage_References: '{b7e25500-b989-4362-ae22-5fc4457ebcde}'

  - IDBEM_ShowInstanceUsage_ReferencedBy: '{8a8a434c-ff0c-4f98-a1c0-92cee10e0ac2}'
  - IDBEMP_ShowInstanceUsage_ReferencedBy: '{cca4fd66-6653-42b8-a157-dc67d068e11b}'

  - IDMB_Relationship__get__Relationships_with_Source_Class_equal_to_class_of_given_Instance: '{dcf13bbd-143c-421e-8939-243749ebf245}'
  - IDMB_Relationship__get__Relationships_with_Destination_Class_equal_to_class_of_given_Instance: '{0d56bab4-bbc1-4bcd-b4d9-e33b3ab42a23}'

  - IDMB_ShowInstanceUsage_Main: '{218b0c9f-f205-4da3-93e6-55a6cdf022b3}'
  - IDM_ShowInstanceUsage_Main: '{86a3e05a-75aa-45e8-800a-e5b1b540246d}'

  - IDMB_Task_Related_Instance__get__Parent_Class: '{0b97d456-170d-4038-8431-6502bcb21e35}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - sequenceTask: '&IDI_Task_ShowInstanceUsage;'
    name: 'Show Instance Usage'
    openInNewWindow: yes
    taskCategory: '&IDI_TaskCategory_Instance;'
    initiatingElement: '&IDE_ShowInstanceUsage_Start;'

  - element: '&IDE_ShowInstanceUsage_Select;'
    name: 'instance usage select subedit'
    elementContents:
    - globalIdentifier: '{7f2a9df6-6028-4732-84c8-0fe97b70214e}'
      defaultDataType: '&IDC_Instance;'
      label: 'Instance'
      displayOptions:
      - instance: '&IDI_DisplayOption_Required;'

  - buildResponseMethodBinding: '&IDMB_ShowInstanceUsage_Main;'
    executesMethod: '&IDM_ShowInstanceUsage_Main;'

  - buildUIResponseMethod: '&IDM_ShowInstanceUsage_Main;'
    usesExecutableReturningElement: '&IDE_ShowInstanceUsage_Main;'

  - element: '&IDE_ShowInstanceUsage_Main;'
    name: show instance usage
    moduleId: '&IDI_Module_MochaBaseSystem;'
    elementContents:
    - globalIdentifier: '{016e8a4b-6ab2-4b6b-a103-44126b29018a}'
      defaultDataType: '&IDE_ShowInstanceUsage_References;'
      builtFromBEMProcess: '&IDBEMP_ShowInstanceUsage_References;'
      label: 'References'
      order: a
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
    - globalIdentifier: '{520d00d9-e1b7-4a7f-8c14-05dae7281964}'
      defaultDataType: '&IDE_ShowInstanceUsage_ReferencedBy;'
      builtFromBEMProcess: '&IDBEMP_ShowInstanceUsage_ReferencedBy;'
      label: 'Referenced By'
      order: b
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'


  - returnInstanceSetMethodBinding: '&IDMB_Relationship__get__Relationships_with_Source_Class_equal_to_class_of_given_Instance;'
    executesMethod: '&IDM_Relationship__get__Relationships_with_Source_Class_equal_to_Class_parm;'
    parameterAssignments:
    - globalIdentifier: '{e2d3226b-e7b9-4703-bdc1-a5b65f594c34}'
      assignsToParameter: '&IDI_WorkSet_ClassSingular;'
      assignsFromWorkData: '&IDMB_Task_Related_Instance__get__Parent_Class;'

  - returnInstanceSetMethodBinding: '&IDMB_Relationship__get__Relationships_with_Destination_Class_equal_to_class_of_given_Instance;'
    executesMethod: '&IDM_Relationship__get__Relationships_with_Destination_Class_equal_to_Class_parm;'
    parameterAssignments:
    - globalIdentifier: '{c500d30c-4ca2-4b89-a2f9-782006bc0fac}'
      assignsToParameter: '&IDI_WorkSet_ClassSingular;'
      assignsFromWorkData: '&IDMB_Task_Related_Instance__get__Parent_Class;'

  - returnInstanceSetMethodBinding: '&IDMB_Task_Related_Instance__get__Parent_Class;'
    executesMethod: '&IDM_Instance__get__Parent_Class;'
    parameterAssignments:
    - globalIdentifier: '{4e06e288-f362-447c-883e-4ab535fff32b}'
      assignsToParameter: '&IDC_Instance;'
      assignsFromWorkData: '&IDI_WorkSet_TaskRelatedInstance;'
  


  - buildElementMethod: '&IDBEM_ShowInstanceUsage_References;'
    hasBemProcess: '&IDBEMP_ShowInstanceUsage_References;'

  - bemProcess: '&IDBEMP_ShowInstanceUsage_References;'
    name: 'build instance usage references list'
    loopExecutableReturningInstanceSet: '&IDMB_Relationship__get__Relationships_with_Destination_Class_equal_to_class_of_given_Instance;'


  - buildElementMethod: '&IDBEM_ShowInstanceUsage_ReferencedBy;'
    hasBemProcess: '&IDBEMP_ShowInstanceUsage_ReferencedBy;'

  - bemProcess: '&IDBEMP_ShowInstanceUsage_ReferencedBy;'
    name: 'build instance usage referenced by list'
    loopExecutableReturningInstanceSet: '&IDMB_Relationship__get__Relationships_with_Source_Class_equal_to_class_of_given_Instance;'


  - element: '&IDE_ShowInstanceUsage_References;'
    name: References
    moduleId: '&IDI_Module_MochaBaseSystem;'
    elementContents:
    - globalIdentifier: '{4389b8c3-e30c-4f72-938f-9020e0181483}'
      defaultDataType: '&IDC_Relationship;'
      label: 'Relationship'
      order: a
    - globalIdentifier: '{de9b97a7-a60b-478e-9dac-aaac7285e812}'
      defaultDataType: '&IDMB_Relationship__get__Source_Instances_for_Task_Related_Instance;'
      label: 'Target'
      order: b
      

  - element: '&IDE_ShowInstanceUsage_ReferencedBy;'
    name: Referenced By
    moduleId: '&IDI_Module_MochaBaseSystem;'
    elementContents:
    - globalIdentifier: '{04959460-ec0e-426b-a831-5e6b15a50633}'
      defaultDataType: '&IDC_Relationship;'
      label: 'Relationship'
      order: a
    - globalIdentifier: '{e354c176-cec7-4b14-afa2-c25dbc5f8b04}'
      defaultDataType: '&IDMB_Relationship__get__Target_Instances_for_Task_Related_Instance;'
      label: 'Target'
      order: b